OutputFilter Struct Reference

## Data Fields

AVFilterContext * | filter
struct OutputStream * | ost
struct FilterGraph * | graph
uint8_t * | name
AVFilterInOut * | out_tmp
enum AVMediaType | type
int | width
int | height
AVRational | frame_rate
int | format
int | sample_rate
uint64_t | channel_layout
int * | formats
uint64_t * | channel_layouts
int * | sample_rates

## Detailed Description

Definition at line 287 of file fftools_ffmpeg.h.

## Field Documentation

## channel_layout

uint64_t OutputFilter::channel_layout

Definition at line 302 of file fftools_ffmpeg.h.

## channel_layouts

uint64_t* OutputFilter::channel_layouts

Definition at line 306 of file fftools_ffmpeg.h.

## filter

AVFilterContext* OutputFilter::filter

Definition at line 288 of file fftools_ffmpeg.h.

## format

int OutputFilter::format

Definition at line 300 of file fftools_ffmpeg.h.

## formats

int* OutputFilter::formats

Definition at line 305 of file fftools_ffmpeg.h.

## frame_rate

AVRational OutputFilter::frame_rate

Definition at line 299 of file fftools_ffmpeg.h.

## graph

struct FilterGraph* OutputFilter::graph

Definition at line 290 of file fftools_ffmpeg.h.

## height

int OutputFilter::height

Definition at line 298 of file fftools_ffmpeg.h.

## name

uint8_t* OutputFilter::name

Definition at line 291 of file fftools_ffmpeg.h.

## ost

struct OutputStream* OutputFilter::ost

Definition at line 289 of file fftools_ffmpeg.h.

## out_tmp

AVFilterInOut* OutputFilter::out_tmp

Definition at line 294 of file fftools_ffmpeg.h.

## sample_rate

int OutputFilter::sample_rate

Definition at line 301 of file fftools_ffmpeg.h.

## sample_rates

int* OutputFilter::sample_rates

Definition at line 307 of file fftools_ffmpeg.h.

## type

enum AVMediaType OutputFilter::type

Definition at line 294 of file fftools_ffmpeg.h.

## width

int OutputFilter::width

Definition at line 298 of file fftools_ffmpeg.h.

The documentation for this struct was generated from the following file:

- fftools_ffmpeg.h